﻿-- Definitions based on Locales

local L = AceLibrary("AceLocale-2.2"):new("VanasKoS");

L:RegisterTranslations("enUS", function() return {
	["Vanas KoS"] = true,
	["Add KoS Player"] = true,
	["Add Entry"] = true,
	["Remove Entry"] = true,
	["Change Entry"] = true,
	["Reason"] = true,
	["Players:"] = true,
	["Guilds:"] = true,
	["Lists"] = true,
	
	["Entry %s (Reason: %s) added."] = true,
	["Entry \"%s\" removed from list"] = true,
	["KoS List for Realm \"%s\" now purged."] = true,

	["Adds a KoS-Target"] = true,
	
	["Lists"] = true,
	
	-- about
	["About"] = true,
	
	--config frame
	["Configuration"] = true,
	
	["KoS List for Realm: %s"] = true,

	["Toggle Menu"] = true,

	["Accept"] = true,
	["Cancel"] = true,
	["Name"] = true,
	["Name of Player to add"] = true,
	
	["%s set to %s"] = "|cffffff00%s|r set to |cff00ff00%s|r",
	[true] = "|cff00ff00on|r",
	[false] = "|cffff0000off|r",
	
	["_Reason Unknown_"] = "unknown",
    ["_Unknown Entity_"] = UNKNOWN,

	["sync"] = true,
	["show"] = true,
	["sort"] = true,

	["Locked"] = true,
	["Locks the Main Window"] = true,
	["Reset Position"] = true,
	["Resets the Position of the Main Window"] = true,

} end);

L:RegisterTranslations("deDE", function() return {
	["Vanas KoS"] = "Vanas KoS",
	["Add KoS Player"] = "KoS Spieler hinzufgen",
	["Add Entry"] = "Eintrag hinzuf\195\188gen",
	["Remove Entry"] = "L\195\182schen",
	["Change Entry"] = "\195\132ndern",
	["Reason"] = "Grund",
	["Players:"] = "Spieler:",
	["Guilds:"] = "Gilden:",
	["Lists"] = "Listen",

	["Toggle Menu"] = "Menu ein-/ausblenden",

	["Entry %s (Reason: %s) added."] = "Eintrag %s (Grund %s) hinzugef\195\188gt",
	["Entry \"%s\" removed from list"] = "Eintrag \"%s\" von der KoS-Liste entfernt",
	["KoS List for Realm \"%s\" now purged."] = "KoS-Liste f\195\188r den Realm \"%s\" gel\195\182scht.",

	["Lists"] = "Listen",
	
	-- About dialog
	["About"] = "\195\156ber",
	
	-- config frame
	["Configuration"] = "Konfiguration",
	
	-- list frame

	["KoS List for Realm: %s"] = "KoS-Liste f\195\188r den Realm: %s",

	
	["Accept"] = "Akzeptieren",
	["Cancel"] = "Abbrechen",
	["Name"] = "Name",
	["Name of Player to add"] = "Name des Spielers zum hinzuf\195\188gen",
	
	["%s set to %s"] = "|cffffff00%s|r gesetzt auf |cff00ff00%s|r",
	[true] = "|cff00ff00an|r",
	[false] = "|cffff0000aus|r",
	
	["_Reason Unknown_"] = "unbekannt",
    ["_Unknown Entity_"] = UNKNOWN,

	["sync"] = "Sync",
	["show"] = "Zeige",
	["sort"] = "Sort",

	["Locked"] = "Verriegelt",
	["Locks the Main Window"] = "Verriegelt das Hauptfenster an seiner derzeitigen Position",
	["Reset Position"] = "Position zurcksetzen",
	["Resets the Position of the Main Window"] = "Setzt die Position des Hauptfensters zurck",

	["Adds a KoS-Target"] = "KoS-Ziel hinzuf\195\188gen",

} end);

L:RegisterTranslations("frFR", function() return {
	["Vanas KoS"] = "Vanas KoS",
	["Add KoS Player"] = "Ajouter joueur KoS",
	["Add Entry"] = "Ajouter entr\195\169e",
	["Remove Entry"] = "Supprimer entr\195\169e",
	["Change Entry"] = "Modifier entr\195\169e",
	["Reason"] = "Raison",
	["Players:"] = "Joueurs",
	["Guilds:"] = "Guildes",
	["Lists"] = "Listes",

	["Entry %s (Reason: %s) added."] = "Entr\195\169e %s (Raison: %s) ajout\195\169.",
	["Entry \"%s\" removed from list"] = "Entr\195\169e \"%s\" supprim\195\169 de la liste",
	["KoS List for Realm \"%s\" now purged."] = "La liste KoS du Royaume \"%s\" est maintenant purg\195\169.",

	["Lists"] = "Listes",

	-- about
	["About"] = "\195\128 propos...",

	--config frame
	["Configuration"] = "Configuration",
	
	

	["KoS List for Realm: %s"] = "Liste KoS du Royaume: %s",

	["Toggle Menu"] = "Toggle Menu",

	["Accept"] = "Accepter",
	["Cancel"] = "Annuler",
	["Name"] = "Nom",
	["Name of Player to add"] = "Nom du joueur \195\160 rajouter",

	["%s set to %s"] = "Modifier |cffffff00%s|r \195\160 |cff00ff00%s|r",
	[true] = "|cff00ff00on|r",
	[false] = "|cffff0000off|r",

	["_Reason Unknown_"] = "unknown",
	["_Unknown Entity_"] = UNKNOWN,

	["show"] = "voir",
	["sync"] = "sync",
	["sort"] = "tri",
	
	["Locked"] = "Verrouill",
	["Locks the Main Window"] = "Verrouill la fentre principale",
	["Reset Position"] = "Remettre  zro la position",
	["Resets the Position of the Main Window"] = "Remettre  zro la position de la fentre principale",

	["Adds a KoS-Target"] = "Ajouter une KoS-Target (cible)",
} end);

L:RegisterTranslations("koKR", function() return {
	["Vanas KoS"] = "Vanas KoS",
	["Add KoS Player"] = "KoS 플레이어 추가",
	["Add Entry"] = "추가",
	["Remove Entry"] = "삭제",
	["Change Entry"] = "변경",
	["Reason"] = "이유",
	["Players:"] = "플레이어:",
	["Guilds:"] = "길드:",
	["Lists"] = "명부",
	
	["Entry %s (Reason: %s) added."] = "%s 플레이어가 추가되었습니다.(이유: %s)",
	["Entry \"%s\" removed from list"] = "\"%s\" 명부에서 제거되었습니다.",
	["KoS List for Realm \"%s\" now purged."] = "서버 \"%s\"의 KoS 명부를 삭제하였습니다.",

	["Adds a KoS-Target"] = "KoS-대상 추가",
	
	["Lists"] = "명부",
	
	-- about
	["About"] = "정보",
	
	--config frame
	["Configuration"] = "환경 설정",
	
	["KoS List for Realm: %s"] = "서버에 대한 KoS 명부: %s",

	["Toggle Menu"] = "메뉴 열기/닫기",

	["Accept"] = "확인",
	["Cancel"] = "취소",
	["Name"] = "이름",
	["Name of Player to add"] = "추가 할 플레이어명",
	
	["%s set to %s"] = "|cffffff00%s|r - |cff00ff00%s|r로 설정",
	[true] = "|cff00ff00켬|r",
	[false] = "|cffff0000끔|r",
	
	["_Reason Unknown_"] = "-아무 이유 없음-",
	["_Unknown Entity_"] = "-알 수 없음-",

	["sync"] = "동기화",
	
	["show"] = "보기",
	["sort"] = "정렬",

	["Locked"] = "고정",
	["Locks the Main Window"] = "메인창을 고정합니다.",
	["Reset Position"] = "위치 초기화",
	["Resets the Position of the Main Window"] = "메인창의 위치를 초기화합니다.",
} end);

VANASKOS = { };

VANASKOS.NAME = "VanasKoS";
VANASKOS.COMMANDS = {"/kos", "/vkos", "/vanaskos"};
VANASKOS.VERSION = "0";
VANASKOS.LastNameEntered = "";
VANASKOS.AUTHOR = "Vane of EU-Aegwynn";

BINDING_HEADER_VANASKOS_HEADER = L["Vanas KoS"];
BINDING_NAME_VANASKOS_TEXT_TOGGLE_MENU = L["Toggle Menu"];
BINDING_NAME_VANASKOS_TEXT_ADD_PLAYER = L["Add KoS Player"];

VANASKOS.DEBUG = 0;